<?
/**
 * & CMS Name :: DCMS-Social
 * & Author   :: Alexandr Andrushkin
 * & Contacts :: ICQ 587863132
 * & Site     :: http://dcms-social.ru
 */
include_once '../sys/inc/home.php';
include_once H.'sys/inc/start.php';
include_once H.'sys/inc/compress.php';
include_once H.'sys/inc/sess.php';
include_once H.'sys/inc/settings.php';
include_once H.'sys/inc/db_connect.php';
include_once H.'sys/inc/ipua.php';
include_once H.'sys/inc/fnc.php';
include_once H.'sys/inc/user.php';
only_level(3);

if (!function_exists('permissions')) {
  function permissions($filez) {
  	return decoct(@fileperms("$filez")) % 1000;
  }  
}

if (!function_exists('test_chmod')) {
  function test_chmod($df, $chmod) {
  	global $err,$user;
  	
  	if (isset($user) && $user['level'] == 10)
  	$show_df = preg_replace('#^'.preg_quote(H).'#', '/', $df);
  	else $show_df = $df;

  	@list($f_chmod1, $f_chmod2, $f_chmod3) = str_split(permissions($df));
  	list($n_chmod1,$n_chmod2,$n_chmod3) = str_split($chmod);
  	//list($m_chmod1,$m_chmod2,$m_chmod3)=str_split($max_chmod);

  	if ($f_chmod1<$n_chmod1 || $f_chmod2<$n_chmod2 || $f_chmod3<$n_chmod3)
  	{
  		echo '<div class="mess"><span class="off">Установите CHMOD ' . $n_chmod1 . $n_chmod2 . $n_chmod3 . ' на .' . $show_df . '</span></div>';
  	} else { 
  		return false;
  	}
  }
}

if(isset($_POST['sok']))
{
  $sok = ' Файл JS ';
  if (@unlink(H.'sys/javascript/scripts/toolbar.min.js')) {
    $sok .= ' был удален ';
  }
  
	$q = mysql_query("SELECT * FROM `smile_dir` order BY id DESC");
	
  $dump = "var smilesArr = new Array();";
  
  $dump .= "smilesArr = [";
  $num_cat = 0;
	while($post = mysql_fetch_array($q)) {
    
		if (isset($_POST['cat_' . $post['id']])) {
      if ($num_cat != 0) {
        $dump .=  ", ";
      }
      
      $dump .=  "[['$post[id]|" . text($post['name']) . "'], ["; 
      
      if (isset($_SESSION['icon_' . $post['id']])) {
        $icon = explode("|", $_SESSION['icon_' . $post['id']]);
        $dump .=  "'$icon[0]|" . text($icon[1]) . "'], ["; 
      } else {
        $dump .=  "], ["; 
      }
      
      $num_sm = 0;
    	$q2 = mysql_query("SELECT * FROM `smile` WHERE dir = $post[id]");
    	while($post2 = mysql_fetch_array($q2)) {
        if ($num_sm != 0) {
          $dump .=  ", ";
        }
         $sm = explode("|", $post2['smile']);
         $dump .=  "'$post2[id]|$sm[0]'"; 
        $num_sm++;
      }
      $dump .=  "]]";
      
      $num_cat++;
    }
	}
  $dump .=  "];";
  
  $dump .= @file_get_contents(H.'sys/dat/toolbar.min.dat');
  
  if (@file_put_contents(H.'sys/javascript/scripts/toolbar.min.js', $dump)) {
    $sok .= ' и создан новый';
  } else {
    $sok .= ', не удалось создать';
  }
}

if (isset($_GET['cat']) && isset($_GET['smile'])) {
  $id = (int) $_GET['cat'];
  $smile = mysql_fetch_assoc(mysql_query("SELECT * FROM `smile` WHERE `id` = '" . intval($_GET['smile']) . "' LIMIT 1"));
  $sm = explode("|", $smile['smile']);
  if ($smile['id']) {
    $_SESSION['icon_' . $id] = $smile['id'] . '|' . $sm[0];
    header('Location: ?');
    exit;
  }
}

$set['title'] = 'Создание JS панели';
include_once H.'sys/inc/thead.php';
title();
aut();

if (isset($sok)) {
  ?><div class="mess"><?= $sok?></div><?
}

test_chmod(H.'sys/javascript/scripts/',777);

if (isset($_GET['cat'])) {
  $id = (int) $_GET['cat'];
  
  $q = mysql_query("SELECT * FROM `smile` WHERE `dir` = '$id'");
  
  while($post = mysql_fetch_assoc($q)) { ?>
    <a href="?cat=<?= $id?>&amp;smile=<?= $post['id']?>"><img src="/style/smiles/<?= $post['id']?>.gif" /> выбрать &raquo;</a><br />
  <? 
  } 
  ?>
  <div class="foot">
  <img src="/style/icons/str2.gif" alt="*"> <a href="?">Назад</a><br />
  </div>
  <?
} else {
  ?>
  <div class="mess"><span class="on">
  Этот плагин поможет создать вам дамп данных смайлов в JS формате, если вы загружаете новые смайлы на сайт, то вам необходимо в этом разделе обновлять сгенерированный файл. 
  Вы можете выбрать какие категории сохранять в javascript массив для быстрого вывода в форме =).<br />
  После создания нового JS, новые изменения вступят в силу после обновления страницы, где есть форма со смайлами :)
  </span></div>
  
  <? if (is_file(H.'sys/javascript/scripts/toolbar.min.js')) { ?>
    <div class="nav2">JS скрипт панели смайлов и бб кодов уже создан, чтобы перезаписать скрипт с новыми параметрами, просто нажмите кнопку <b>Создать JS</b>.</div>
    <div class="nav1"><img src="/style/icons/d.gif" /> <a href="/sys/javascript/scripts/toolbar.min.js">Скачать toolbar.min.js</a></div>
  <? } ?>

  <form method="post" action="?sok=yes" class="nav2" enctype="multipart/form-data">
  <? 
  $q = mysql_query("SELECT * FROM `smile_dir` order BY id DESC");

  while($post = mysql_fetch_assoc($q)) { 
    if (isset($_SESSION['icon_' . $post['id']])) {
      $icon = explode("|", $_SESSION['icon_' . $post['id']]);
    } else {
      $icon = false;
    }
    ?>
    
    Иконка категории: <br />
    <?= ($icon ? '<img src="/style/smiles/' . $icon[0] . '.gif" title="' . text($icon[1]) . '" /> ' : '')?> <a href="?cat=<?= $post['id']?>">&raquo; выбрать смайлик</a><br />
    <label><input type="checkbox" name="cat_<?= $post['id']?>" value="<?= $post['id']?>" checked="" /> <?= text($post['name'])?></label><br />
    
  <? } ?>
  <input type="submit" name="sok" value="<?= __('Создать JS')?>" />
  </form> 
  <? 
}
?>
<div class="foot">
<img src="/style/icons/str2.gif" alt="*"> <a href="index.php">Админка</a><br />
</div>
<?
include_once H.'sys/inc/tfoot.php';
?>